Bug 105956 - Changing chart type from pie chart to column chart brokes chart coloring
Summary: Changing chart type from pie chart to column chart brokes chart coloring
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2017-02-12 14:29 UTC by Tamás Zolnai
Modified: 2018-05-30 02:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
A simple pie chart (25.70 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-02-12 14:30 UTC, Tamás Zolnai
Details
Result of convertion (26.96 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-02-12 14:31 UTC, Tamás Zolnai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2017-02-12 14:29:43 UTC
Description:
When I have a pie chart in my document and I change its type to column chart the colors of the created columns are wrong. Columns of one data series should have the same color and not the columns of one X value. With this coloring the legend looses its meaning.

Steps to Reproduce:
1. Open attached document with pie chart
2. Double click on chart -> enter to edit mode
3. Open chart type dialog and change type to column chart
4. A wrong colored column chart is created

Actual Results:  
The converted column chart is corrupted.

Expected Results:
The converted column chart should have the same result what we get if we create one from the source data ranges.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36
Comment 1 Tamás Zolnai 2017-02-12 14:30:03 UTC
Created attachment 131135 [details]
A simple pie chart
Comment 2 Tamás Zolnai 2017-02-12 14:31:26 UTC
Created attachment 131136 [details]
Result of convertion
Comment 3 Buovjaga 2017-02-12 17:59:14 UTC
Repro.

Btw., you don't have to upload the same file to different bug reports: you can just link to the existing attachment by saying: attachment 131135 [details]

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: ac8197327d3ef4f3c94fb0746393863404df086b
CPU Threads: 8; OS Version: Linux 4.9; UI Render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on February 11th 2016
Comment 4 Aron Budea 2017-02-13 23:35:43 UTC
Already in 3.3.0.
Comment 5 Gabor Kelemen 2017-05-29 08:38:41 UTC
See bug 108080 about saving a similar file to OOXML. 
Might not be a straight duplicate, i'm unsure.
Comment 6 QA Administrators 2018-05-30 02:38:47 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug